org.eclipse.cdt.core.settings.model

## Interface ICSettingBase

All Known Subinterfaces:
  ICBuildSetting, ICConfigurationDescription, ICFileDescription, ICFolderDescription, ICLanguageSetting, ICMultiConfigDescription, ICMultiFolderDescription, ICMultiResourceDescription, ICProjectDescription, ICResourceDescription, ICSettingObject, ICTargetPlatformSetting

All Known Implementing Classes:
  CBuildData, CConfigurationData, CDataObject, CDefaultBuildData, CDefaultConfigurationData, CDefaultFileData, CDefaultFolderData, CDefaultLanguageData, CDefaultTargetPlatformData, CFileData, CFolderData, CLanguageData, CResourceData, CTargetPlatformData, EntryStorageBasedLanguageData, MultiLanguageSetting, UserAndDiscoveredEntryConfigurationDataProvider.LanguageData, UserAndDiscoveredEntryLanguageData

    public interface ICSettingBase

### Field Summary

Fields
`static int` `SETTING_BUILD`
`static int` `SETTING_CONFIGURATION`
`static int` `SETTING_FILE`
`static int` `SETTING_FOLDER`
`static int` `SETTING_LANGUAGE`
`static int` `SETTING_PROJECT`
`static int` `SETTING_TARGET_PLATFORM`

### Field Detail

#### SETTING_PROJECT

    static final int SETTING_PROJECT

See Also:
  Constant Field Values

#### SETTING_CONFIGURATION

    static final int SETTING_CONFIGURATION

See Also:
  Constant Field Values

#### SETTING_FOLDER

    static final int SETTING_FOLDER

See Also:
  Constant Field Values

#### SETTING_FILE

    static final int SETTING_FILE

See Also:
  Constant Field Values

#### SETTING_LANGUAGE

    static final int SETTING_LANGUAGE

See Also:
  Constant Field Values

#### SETTING_TARGET_PLATFORM

    static final int SETTING_TARGET_PLATFORM

See Also:
  Constant Field Values

#### SETTING_BUILD

    static final int SETTING_BUILD

See Also:
  Constant Field Values